/**
 * Форматирование чисел для вывода трудозатрат
 * @param a
 * @returns
 */
export const SpentHoursToFixed = (
  a: number | string | null | undefined,
): string => {
  if (a === null || typeof a === 'undefined') return '-';
  const res = typeof a === 'number' ? a : Number(a);
  if (!Number.isFinite(res)) return '-';
  return `${parseFloat(res.toFixed(1))}`;
};
